#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	gstreamer
Version		:	1.24.7
Release		:	17.0.10.rel%{?dist}
Summary		:	GStreamer, a framework for streaming media.
Group		:	Applications/Multimedia

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://gstreamer.freedesktop.org/src/gstreamer/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	bash-completion
BuildRequires	:	glib-devel
BuildRequires	:	gobject-introspection

#-----------------------------------------------------------------------------
%description
GStreamer is a library for constructing graphs of media-handling
components.  The applications it supports range from simple
Ogg/Vorbis playback, audio/video streaming to complex audio (mixing)
and video (non-linear editing) processing.

Applications can take advantage of advances in codec and filter
technology transparently. Developers can add new codecs and filters
by writing a simple plugin with a clean, generic interface

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc AUTHORS COPYING NEWS README.md RELEASE
%{_bindir}/gst-*-1.0
%{_includedir}/%{name}-1.0/gst/*.h
%{_includedir}/%{name}-1.0/gst/*/*.h
%{_libexecdir}/%{name}-1.0/gst-*
%{_libdir}/%{name}-1.0/libgstcore*.so*
%{_libdir}/libgst*-1.0.so*
%{_libdir}/pkgconfig/%{name}-*.pc
%{_libdir}/girepository-1.0/G*-1.0.typelib
%{_datadir}/gir-1.0/G*-1.0.gir
%{_datadir}/aclocal/gst-element-check-1.0.m4
%{_datadir}/locale/*/LC_MESSAGES/%{name}-1.0.mo
%{_datadir}/bash-completion/completions/gst-*-1.0
%{_datadir}/bash-completion/helpers/gst
%{_datadir}/gdb/auto-load%{_libdir}/lib%{name}-1.0.so*-gdb.py
%{_datadir}/%{name}-1.0/gdb/*.py
%{_mandir}/man1/gst-*.1.gz

#=============================================================================
%prep
%setup 

#-----------------------------------------------------------------------------
#building application
%build

%define	gstname	"GStreamer %{version} Osukiss"
%define	gstorig	"https://gstreamer.freedesktop.org/src/gstreamer"

meson	setup						\
        --prefix=%{_prefix}				\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	-D buildtype=release				\
	-D gst_debug=false				\
	-D package-origin=%{gstorig}			\
	-D package-name=%{gstname}			\
	-D ptp-helper-permissions=capabilities		\
	_bld

meson	compile						\
	-C _bld						\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

meson install						\
	-C _bld						\
	--destdir=%{buildroot}				\

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
